use std::time::Instant;

use specs::prelude::*;
use specs_derive::Component;

pub mod monster;
pub mod player;
pub mod position;
pub mod renderable;

pub use monster::Monster;
pub use player::Player;
pub use position::Position;
pub use renderable::Renderable;

use crate::resources::sound_output::SoundEffectHandle;

#[derive(Component)]
pub struct WantsToWhip {
    pub frame: u8,
    pub last_frame: Instant,
    pub sound: Option<SoundEffectHandle>,
}
